WIPEFS(8)

NOM
wipefs - Effacer une signature d’un périphérique

SYNOPSIS
wipefs [-ahnpqtV] [-o position] périphérique ...

DESCRIPTION
wipefs peut effacer les signatures (chaînes magiques) de système de fichiers, de RAID ou de table des partitions du périphérique indiqué pour rendre le système de fichiers invisible à libblkid.

wipefs n'efface pas le système de fichiers lui-même ni aucune autre donnée du périphérique. Sans option, wipefs affiche la liste de tous les systèmes de fichiers et positions de leurs signatures de base.

wipefs appelle l’ioctl BLKRRPART après avoir effacé la signature de table de partitions pour informer le noyau de la modification.

Remarquez que certains systèmes de fichiers et certaines tables de partitions conservent plusieurs chaînes magiques sur les périphériques. La commande wipefs n’affiche que la première position où une chaîne magique a été détectée. Le périphérique n’est pas parcouru à la recherche de chaînes magiques supplémentaires sur le même système de fichiers. Après un wipefs -o position, les mêmes systèmes de fichiers ou table de partitions pourraient toujours être visibles à cause d’une autre chaîne magique à une autre position.

Avec l’option -a, toutes les chaînes magiques visibles par libblkid sont effacées.

Remarquez que par défaut, wipefs n’efface pas les tables de partitions imbriquées sur les périphériques disques non entiers. L’option --force est nécessaire pour cela.

OPTIONS

-a, --all
    Effacer toutes les signatures disponibles. L’ensemble des signatures effacées peut être restreint avec l’option -t.

-b, --backup
    Créer une sauvegarde de signature dans le fichier $HOME/wipefs-périphérique-position.bak. Consultez la section EXEMPLES pour plus de précisions.

-f, --force
    Forcer l’effacement, même si le système de fichiers est monté. C’est nécessaire pour effacer une signature de table de partitions d’un périphérique bloc.

-h, --help
    Afficher un texte d'aide puis quitter.

-n, --no-act
    Effectuer toutes les opérations sauf l'appel write().

-o, --offset position
    Indiquer l'emplacement (en octet) de la signature qui devrait être effacée du périphérique. Le nombre position peut contenir un préfixe « 0x », dans ce cas, le nombre sera interprété comme une valeur hexadécimale. Plusieurs options -o peuvent être indiquées.

    L’argument position peut être suivi des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-p, --parsable
    Afficher les résultats au format lisible par un programme au lieu du format normal. Encoder tous les caractères à risque d'une chaîne dans leur valeur hexadécimale correspondante précédée de « \x ».

-q, --quiet
    Supprimer tous les messages après un effacement de signature réussi.

-t, --types liste
    Limiter l'ensemble de signatures affichés ou effacées. Plusieurs types peuvent être indiqués, séparés par des virgules. La liste ou les types individuels peuvent être préfixés par no pour indiquer les types pour lesquels aucune action ne doit être menée. Pour plus de précisions, consultez mount(8).

-V, --version
    Afficher les informations sur la version et quitter.

EXEMPLES

wipefs --all --backup /dev/sdb
    Effacer toutes les signatures du périphérique /dev/sdb et créer un fichier de sauvegarde ~/wipefs-sdb-position.bak pour chaque signature.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    Restaurer une signature ext2 du fichier de sauvegarde ~/wipefs-sdb-0x00000438.bak.

AUTEUR
Karel Zak <kzak@redhat.com>

ENVIRONNEMENT

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

VOIR AUSSI
blkid(8), findfs(8)

DISPONIBILITÉ
La commande wipefs fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.